## com.google.appengine.api.blobstore.dev
Class BlobUploadSessionStorage

    java.lang.Object
      com.google.appengine.api.blobstore.dev.BlobUploadSessionStorage

    public final class BlobUploadSessionStorage

extends java.lang.Object

`BlobUploadSessionStorage` handles persistence of `BlobUploadSession` objects.

Constructor Summary
`BlobUploadSessionStorage()`

Method Summary
`java.lang.String` `createSession(com.google.appengine.api.blobstore.dev.BlobUploadSession session)`
`void` `deleteSession(java.lang.String sessionId)`
`com.google.appengine.api.blobstore.dev.BlobUploadSession` `loadSession(java.lang.String sessionId)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BlobUploadSessionStorage

    public BlobUploadSessionStorage()

Method Detail

### createSession

    public java.lang.String createSession(com.google.appengine.api.blobstore.dev.BlobUploadSession session)

### loadSession

    public com.google.appengine.api.blobstore.dev.BlobUploadSession loadSession(java.lang.String sessionId)

### deleteSession

    public void deleteSession(java.lang.String sessionId)